Package commoble.exmachina.engine.internal.util

# Class DirectionHelper

java.lang.Object
commoble.exmachina.engine.internal.util.DirectionHelper

public class DirectionHelper extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraft.core.Direction`
`D`
`static final net.minecraft.core.Direction`
`E`
`static final net.minecraft.core.Direction`
`N`
`static final net.minecraft.core.Direction[]`
`OPPOSITES`
`static final net.minecraft.core.Direction.Axis[][]`
`ORTHAGONAL_AXES`
`static final net.minecraft.core.Direction[][]`
`ORTHAGONAL_ROTATION_TABLE`
`static final net.minecraft.core.Direction[]`
`ROTATE_X_DNUS`
`static final net.minecraft.core.Direction[]`
`ROTATE_X_DSUN`
`static final net.minecraft.core.Direction[]`
`ROTATE_Y_NESW`
`static final net.minecraft.core.Direction[]`
`ROTATE_Y_NWSE`
`static final net.minecraft.core.Direction[]`
`ROTATE_Z_DEUW`
`static final net.minecraft.core.Direction[]`
`ROTATE_Z_DWUE`
`static final net.minecraft.core.Direction[][][]`
`ROTATION_TABLE`
Indices are direction indices: [from][to][toRotate]
`static final net.minecraft.core.Direction`
`S`
`static final net.minecraft.core.Direction[]`
`SAMES`
`static final net.minecraft.core.Direction`
`U`
`static final net.minecraft.core.Direction`
`W`

## Constructor Summary

Constructors
Constructor
Description
`DirectionHelper()`

## Method Summary

Modifier and Type
Method
Description
`static net.minecraft.core.Direction`
`getRotatedDirection(net.minecraft.core.Direction from, net.minecraft.core.Direction to, net.minecraft.core.Direction toRotate)`
Given two directions and a third, applies the rotation-of-the-first-direction-to-the-second to the third direction

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### D

public static final net.minecraft.core.Direction D

### U

public static final net.minecraft.core.Direction U

### N

public static final net.minecraft.core.Direction N

### S

public static final net.minecraft.core.Direction S

### W

public static final net.minecraft.core.Direction W

### E

public static final net.minecraft.core.Direction E

### SAMES

public static final net.minecraft.core.Direction[] SAMES

### OPPOSITES

public static final net.minecraft.core.Direction[] OPPOSITES

### ROTATE_X_DNUS

public static final net.minecraft.core.Direction[] ROTATE_X_DNUS

### ROTATE_X_DSUN

public static final net.minecraft.core.Direction[] ROTATE_X_DSUN

### ROTATE_Y_NESW

public static final net.minecraft.core.Direction[] ROTATE_Y_NESW

### ROTATE_Y_NWSE

public static final net.minecraft.core.Direction[] ROTATE_Y_NWSE

### ROTATE_Z_DWUE

public static final net.minecraft.core.Direction[] ROTATE_Z_DWUE

### ROTATE_Z_DEUW

public static final net.minecraft.core.Direction[] ROTATE_Z_DEUW

### ORTHAGONAL_AXES

public static final net.minecraft.core.Direction.Axis[][] ORTHAGONAL_AXES

### ORTHAGONAL_ROTATION_TABLE

public static final net.minecraft.core.Direction[][] ORTHAGONAL_ROTATION_TABLE

### ROTATION_TABLE

public static final net.minecraft.core.Direction[][][] ROTATION_TABLE
Indices are direction indices: [from][to][toRotate]

## Constructor Details

### DirectionHelper

public DirectionHelper()

## Method Details

### getRotatedDirection

public static net.minecraft.core.Direction getRotatedDirection(net.minecraft.core.Direction from, net.minecraft.core.Direction to, net.minecraft.core.Direction toRotate)
Given two directions and a third, applies the rotation-of-the-first-direction-to-the-second to the third direction

Parameters:
  `from` - Starting direction of the reference operation
  `to` - Final direction of the reference operation
  `toRotate` - Direction to apply the reference operation to
Returns:
  The direction we get after we apply the reference rotation to toRotate